
package org.cocos2dx.cpp;

import android.bluetooth.BluetoothDevice;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;


public class DeviceAdapter extends BaseAdapter {

    private Context context;
    private ArrayList<BluetoothDevice> devices;

    public DeviceAdapter(Context context, ArrayList<BluetoothDevice> devices) {
        this.context = context;
        this.devices = devices;
    }

    @Override
    public int getCount() {
        return devices != null ? devices.size() : 0;
    }

    @Override
    public Object getItem(int position) {
        return devices.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder holder;
        /*if (convertView == null) {
            convertView = LayoutInflater.from(context).inflate(R.layout.item_device, parent, false);
            holder = new ViewHolder(convertView);
            convertView.setTag(holder);
        } else {
            holder = (ViewHolder) convertView.getTag();
        }
        holder.deviceName.setText(devices.get(position).getName());
        holder.deviceAddress.setText(devices.get(position).getAddress());*/
        return convertView;
    }

    private static class ViewHolder {
        private TextView deviceName;
        private TextView deviceAddress;

        public ViewHolder(View view) {
            ///deviceName = (TextView) view.findViewById(R.id.device_name);
            ///deviceAddress = (TextView) view.findViewById(R.id.device_address);
        }
    }
    
}
